import React from 'react'
import { Table, DataType } from 'ka-table'
import 'ka-table/style.css';
import { Flex } from '@mantine/core';
import styles from './TableTest.module.scss'

function TableTest() {
    return (
        <Flex direction='column' align='flex-start' gap='sm' p='sm'>
            <Table
                columns={[
                    { key: 'column1', title: 'Column 1', dataType: DataType.String },
                    { key: 'column2', title: 'Column 2', dataType: DataType.String },
                    { key: 'column3', title: 'Column 3', dataType: DataType.String },
                    { key: 'column4', title: 'Column 4', dataType: DataType.String },
                ]}
                data={Array(100).fill(undefined).map(
                    (_, index) => ({
                        column1: `column:1 row:${index}`,
                        column2: `column:2 row:${index}`,
                        column3: `column:3 row:${index}`,
                        column4: `column:4 row:${index}`,
                        id: index,
                    }),
                )}
                rowKeyField={'id'}
            />
        </Flex>
    )
}

export default TableTest